cannot install 4.2.4 administrator/components/com_virtuemart_allinone

Started by bestcons, October 27, 2023, 19:38:22 PM

Previous topic - Next topic

bestcons

While upgrading VM 4.2.2 to 4.2.4 I got the message as attached, indicating that the allinone component cannot be installed.
Any suggestion?

bestcons

I deleted the allinone module and re-installed VM 4.2.4. The earlier error messages as reported are gone and 4.2.4 is installed. Hoewever a new error pops up, related to the installation of com_tcpdf_1.2.8.zip.
Again: All suggestions are appreciated.

p.barg

Hi,

I'm experiencing the same problem - AIO cannot be installed...

Petra
[url="//www.barg-it.de"]www.barg-it.de[/url]

p.barg

[url="//www.barg-it.de"]www.barg-it.de[/url]

jenkinhill

I just drag & drop the entire com_virtuemart.4.######_package_or_extract.zip package into Joomla's upload package file tab.
Kelvyn
Lowestoft, Suffolk, UK

Retired from forum life November 2023

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

p.barg

Hi Kelvyn,

well, that's what I actually did - and that throws the errors for vmallinone...
After that I tried to only upload the vmallinone, but the result is the same.

Petra
[url="//www.barg-it.de"]www.barg-it.de[/url]

StefanSTS

I had issues with the AIO on one server with PHP 8.0. No issues on another with PHP 8.2.
Strange thing. Which PHP version are you using?
--
Stefan Schumacher
www.jooglies.com - VirtueMart Invoice Layouts

Please use only stable versions with even numbers for your live shop! Use Alpha versions only if you know what risk you are taking.


p.barg

It happened actually on a local server with PHP 8.0
@Stefan: did you overcome the issue somehow?

Petra
[url="//www.barg-it.de"]www.barg-it.de[/url]

StefanSTS

Hello Petra,

in that particular test shop I could not update the AIO yet.
Another test shop on the same server worked just fine.

The problematic shop has the installation in the main folder.
/
It worked for the other shop that is in a subfolder of another domain.
/j4vm4/
PHP is 8.0 in both cases.

I did not have the time to investigate further.

Stefan
--
Stefan Schumacher
www.jooglies.com - VirtueMart Invoice Layouts

Please use only stable versions with even numbers for your live shop! Use Alpha versions only if you know what risk you are taking.

bestcons

On another website I had installed separately VM 4.2.4 and VM AOI 4.2.4 but could not install the VM website package 4.2.4, the error message referred to administrator/components/com_tcpdf. I completely removed this component and installed the 4.2.4 package without a problem. The update includes the installation of administrator/components/com_tcpdf.

StefanSTS

Moved the installation to a fully different server and got the same problem.
It's a migrated shop from J3, earlier even J2.
Tomorrow I might try to make all single installers for all extensions inside the AIO if I have the time.

STS
--
Stefan Schumacher
www.jooglies.com - VirtueMart Invoice Layouts

Please use only stable versions with even numbers for your live shop! Use Alpha versions only if you know what risk you are taking.

StefanSTS

There was an old install.xml file in the folder
administrator/components/com_virtuemart_allinone/.

I deleted the allinone folder and after that the installation of the AIO worked.
Deleting simply the install.xml also works.

I guess Max will provide a solution for that in the next installer.

STS
--
Stefan Schumacher
www.jooglies.com - VirtueMart Invoice Layouts

Please use only stable versions with even numbers for your live shop! Use Alpha versions only if you know what risk you are taking.

kilombo

That also happened to me, i think it's permissions related, if you are using plesk go to the file manager and check if the owner of the files and folders is the same for all the files... in my case for some awkwaard reason all those files where owned by root... well the installer don't have root permissions, if you go to SSH and change the ownership of those files/folders everything will work fine.

StefanSTS

Max provided a fix in the meantime.
The install.xml will be deleted. The same happened for TCPDF in some cases.
With VM 4.2.6 the fix will be published.

If you still encounter problems with the first try, just install the package again. In the first run imstall.xml will be deleted, in the second run the installation will work fine.

STS
--
Stefan Schumacher
www.jooglies.com - VirtueMart Invoice Layouts

Please use only stable versions with even numbers for your live shop! Use Alpha versions only if you know what risk you are taking.